View Issue Details

IDProjectCategoryView StatusLast Update
0000215Fotpix[All Projects] Generalpublic2017-01-12 09:02
ReporterTonya_VeronaAssigned ToBuga_Boss 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Versionbeta 1.0.5 
Target Versionbeta 1.0.5Fixed in Versionbeta 1.0.5 
Summary0000215: Баг с патронами в государственном тире.
DescriptionБаг с количеством боеприпасов в военном тире. Скорее всего актуально и для армии.

Описание действий: загружаем, например, 21 ящик в фургон СВАТа со склада, едем на военный тир. При открытии тира 21 ящик конвертируется 12600 БП. Ждём окончания тира. Заново запускаем тир и получаем вместо 12600 БП 7560000 БП. При этом, если с 7560000 БП вернуться к оружейной, то они переведутся в 12600 ящиков.

Причина и недоработки: когда мы открываем тир, система конвертирует 21 ящик в 12600 патронов, то есть стоимость одного ящика в тире 600 патронов, хотя на складе мы загружаем по 400 патронов за один ящик. Стоит неправильный коэффициент. Далее, тир заканчивается, но количество патронов не конвертируются обратно в ящики. Заново запустив тир, система снова умножает, только уже не ящики, а количество оставшихся патронов в фургоне на 600. Исчисление 12600 патронов*600. И мы получаем 7560000 патронов. Далее, если возвращаемся к оружейной, то число переводится в 12600 ящиков. Относя ящики на склад, мы опять получаем по 400 патронов за ящик вместо 600.

Видео доказательства: https://youtu.be/uCU620BtYyc
https://youtu.be/7rpP10MO0zc
За предоставленные видео спасибо Nikit`е Prokashev`у.

Далее можете не читать, это моя инициатива.
Возможные решения:
1) Самый простой, это отказаться от системы конвертирования ящиков в боеприпасы. Пусть сразу значение в фургоне будет исчисляться количеством патронов, а не ящиков. Тогда и в тире системе не надо будет проводить никаких манипуляций.
2) Синхронизировать конец военного тира и перевод патронов в ящики. Потому что именно на этом этапе баг.
3) Не забываем поменять коэффициент с 600 за ящик на 400 :D
Additional Information2кк боеприпасов: http://imgur.com/a/ytKnD
TagsГосударственный тир
отложено

Activities

Buga_Boss

2016-10-17 18:25

administrator   ~0000037

исправил но надо проверять

Franklin_Evans

2017-01-10 20:48

updater   ~0000153

Больше не замечается этот баг

Issue History

Date Modified Username Field Change
2016-10-17 17:28 Tonya_Verona New Issue
2016-10-17 17:28 Tonya_Verona Tag Attached: Государственный тир
2016-10-17 18:25 Buga_Boss Note Added: 0000037
2016-10-17 18:25 Buga_Boss Assigned To => Buga_Boss
2016-10-17 18:25 Buga_Boss Status new => feedback
2017-01-10 20:48 Franklin_Evans Note Added: 0000153
2017-01-12 09:02 Flazy Status feedback => resolved
2017-01-12 09:02 Flazy Resolution open => fixed
2017-01-12 09:02 Flazy Product Version => beta 1.0.5
2017-01-12 09:02 Flazy Fixed in Version => beta 1.0.5
2017-01-12 09:02 Flazy Target Version => beta 1.0.5